package com.gree.mall.miniapp.enums.material;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.miniapp.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum PartsRefundApplyTypeEnum implements BaseEnum {
    NEW("NEW","新件返还"),
    LOST("LOST","破损返还"),
    BUG("BUG","故障返还"),
    OLD("OLD","旧件返还"),
    NOT("NOT","无件返还"),
    ;

    @EnumValue
    @JsonValue
    private final String key;

    private final String remark;
}
